Page MenuHomePhabricator

Add [fkv] Kven to $wmgExtraLanguageNames for Wikidata
Closed, ResolvedPublic

Description

Please add fkv Kven Finnish to $wmgExtraLanguageNames for Wikidata in order to enable the language for labels and descriptions.

Event Timeline

jhsoby created this task.Jun 7 2017, 7:07 AM
jhsoby updated the task description. (Show Details)
jhsoby added a comment.Jun 7 2017, 7:28 AM

Oh, and obligatory "OK from langcom" :)

Amire80 edited subscribers, added: Nikerabbit, Amire80; removed: WMDE-leszek.Jun 7 2017, 7:36 AM

Isn't it already in WikibaseRepo.php? Is there anything else to be done?

Also, see a more general question at T144272#3322282.

jhsoby added a comment.Jun 7 2017, 7:38 AM

I'm not sure, Amir, all I know is I can't add labels/descriptions when using ?uselang=fkv, and adding a language via T144272 fixes that.

Lydia_Pintscher closed this task as Resolved.Jun 7 2017, 7:47 AM
Lydia_Pintscher claimed this task.
Lydia_Pintscher moved this task from incoming to consider for next sprint on the Wikidata board.
Lydia_Pintscher reopened this task as Open.Jun 7 2017, 8:07 AM
Lydia_Pintscher removed Lydia_Pintscher as the assignee of this task.
Lydia_Pintscher added a subscriber: Lydia_Pintscher.

Sorry. Didn't mean to close this -.-

Change 357745 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/Wikibase@master] Add fkv language code to monolingual codes

https://gerrit.wikimedia.org/r/357745

Ladsgroup claimed this task.Jun 8 2017, 1:28 AM
Ladsgroup moved this task from Proposed to Review on the Wikidata-Former-Sprint-Board board.
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptJun 8 2017, 1:28 AM

Change 357745 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Add fkv language code to monolingual codes

https://gerrit.wikimedia.org/r/357745

The patch got reverted because it's already there. The monolingual code is there and you can add statements for that (for monolingual texts) but regarding label/description, that's something else and related to mediawiki i18n.

Ladsgroup closed this task as Resolved.Jun 8 2017, 12:08 PM
jhsoby added a subscriber: Nikki.EditedJun 10 2017, 9:15 PM

Thank you, @Ladsgroup! I didn't realize it was already there (obviously). What I really wanted was for it to be added to wmgExtraLanguageNames (as described by @Nikki in T144272#3335612), so that we can add labels and descriptions in Kven. How should I go about to achieve that?

In that case, it's better to rename this task (deciding to add it to wmgExtraLanguageNames is not my call)

jhsoby-WMNO renamed this task from Add monolingual code fkv (Kven Finnish) to Add [fkv] Kven to $wmgExtraLanguageNames for Wikidata.Mar 6 2020, 9:03 PM
jhsoby-WMNO reopened this task as Open.
jhsoby-WMNO claimed this task.
jhsoby-WMNO updated the task description. (Show Details)
jhsoby-WMNO added a subscriber: Ladsgroup.

Revisiting. :-)

I have a dataset of thousands of place names in Kven and Sámi languages that I'm hoping to add to Wikidata soon, and having the ability to add labels in Kven is quite important for that, IMO.

Change 577671 had a related patch set uploaded (by Jon Harald Søby; owner: Jon Harald Søby):
[operations/mediawiki-config@master] Add fkv Kven to $wmgExtraLanguageNames

https://gerrit.wikimedia.org/r/577671

Ladsgroup added a comment.EditedMar 7 2020, 12:41 AM

This can go live next week with the SWAT I guess.

Restricted Application added a subscriber: RhinosF1. · View Herald TranscriptMar 7 2020, 7:41 AM

Change 577671 merged by jenkins-bot:
[operations/mediawiki-config@master] Add fkv Kven to $wmgExtraLanguageNames

https://gerrit.wikimedia.org/r/577671

Mentioned in SAL (#wikimedia-operations) [2020-03-09T11:08:44Z] <ladsgroup@deploy1001> Synchronized wmf-config/InitialiseSettings.php: [[gerrit:577671|Add fkv Kven to $wmgExtraLanguageNames (T167259)]] (duration: 00m 59s)

Mentioned in SAL (#wikimedia-operations) [2020-03-09T11:09:56Z] <ladsgroup@deploy1001> Synchronized wmf-config/InitialiseSettings.php: [[gerrit:577671|Add fkv Kven to $wmgExtraLanguageNames (T167259)]], take II (duration: 00m 57s)

Ladsgroup closed this task as Resolved.Mar 9 2020, 11:12 AM
jhsoby-WMNO moved this task from Incoming to Done on the WMNO-Sámi board.Mar 9 2020, 1:21 PM